Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class ReadOnlyField

`java.lang.Object
oracle.jdeveloper.html.HTMLFieldRendererImpl
oracle.jdeveloper.html.ReadOnlyField`

All Implemented Interfaces:
  HTMLFieldRenderer, HTMLRenderingContext

Direct Known Subclasses:
  DisplayArrayField, ListFieldRenderer, ViewLinkLookupFieldRenderer

public class ReadOnlyField
extends HTMLFieldRendererImpl

Represents a read-only field generator.

Version:
  PUBLIC

Field Summary

Fields inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`attrDef, ds, htmlAttributes, locale, page, sFormName, sPrompt`

Constructor Summary
`ReadOnlyField()`

Method Summary
`java.lang.String` | `renderToString(Row row)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.

Methods inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`getAttributeDef, getCSSClassName, getDatasource, getDisplayHeight, getDisplayWidth, getFieldName, getFormName, getHiddenFieldForValue, getHTMLValue, getHTMLValue, getMaxDataLength, getPageContext, getPromptText, getValue, lookup, setAttributeDef, setCSSClassName, setDatasource, setDisplayHeight, setDisplayWidth, setFieldName, setFormName, setHtmlAttributes, setMaxDataLength, setPageContext, setPromptText, setValue, setValueFromRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadOnlyField

    public ReadOnlyField()

Method Detail

### renderToString

    public java.lang.String renderToString(Row row)

  Description copied from interface: `HTMLFieldRenderer`
  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.